using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid;

namespace TableBackColorTest
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
        private TableBackColorTest.Form1.Grid gridControl1;
        private System.Windows.Forms.Button w_fitHeaderButton;
        private System.Windows.Forms.Button w_fitContentButton;
        private System.Windows.Forms.Button w_fitColumnButton;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

        #region MODEL

        public const string ModelNameTextBox = "MY_TextBoxModel";

        public class TextBoxCellModel : GridCellModelBase
        {
            public TextBoxCellModel(GridModel model)
                : base(model)
            {
            }

            public override GridCellRendererBase CreateRenderer(GridControlBase control)
            {
                return new TextBoxCellRenderer(control, this);
            }

			public override Size CalculatePreferredCellSize(Graphics g, int rowIndex, int colIndex, GridStyleInfo style, GridQueryBounds queryBounds)
			{
				Size size = g.MeasureString(style.Text,style.GdipFont).ToSize();
				return size;
			}



        }
        #endregion

        #region RENDERER

        /// <summary>
        /// Summary description for ZebraCellRenderer.
        /// </summary>
        internal class TextBoxCellRenderer : GridTextBoxCellRenderer 
        {
            public TextBoxCellRenderer(GridControlBase grid, GridCellModelBase model)
                : base(grid, model)
            {
            }
        }
        #endregion
        
        public class Grid : GridControl
        {
            private bool UseDoubleBuffer = false;
            private bool UseGDI = true;

            public Grid() 
                : base()
            {
                for (int row = 1; row <= 10; row++)
                {
                    string s = "";
                    if (row > 5)
                    {
                        for (int i = 0; i < 11-row; i++)
                        {
                            s += "++";
                        }
                    }
                    else
                    {
                        for (int i = 0; i <= row; i++)
                        {
                            s += "--";
                        }
                    }

                    for (int col = 1; col <= 10; col++)
                    {
                        Model[row, col].Text = s;
                    }
                }

                Model[0, 2].Text = "sdgasdgasdfhadfhafdgha";
            }           

            #region PAINT overrides

            protected override void OnPaintBackground(System.Windows.Forms.PaintEventArgs pevent)
            {
                if (UseDoubleBuffer)
                    base.OnPaintBackground (pevent);
            }

            protected override void OnDrawCellDisplayText(GridDrawCellDisplayTextEventArgs e)
            {
                if (!UseGDI) base.OnDrawCellDisplayText (e);

                if (!UseGDI || e.Cancel)
                    return;

                //THE FOLLOWING INSTRUNCTIONS CAUSE THE PROBLEM
                e.Cancel = GridGdiPaint.Instance.DrawText(e.Graphics, e.DisplayText, e.TextRectangle, e.Style);
            }

            protected override void OnFillRectangleHook(GridFillRectangleHookEventArgs e)
            {
                if (!UseGDI) base.OnFillRectangleHook (e);

                if (!UseGDI || e.Cancel)
                    return;

                //THE FOLLOWING INSTRUNCTIONS CAUSE THE PROBLEM
                e.Cancel = GridGdiPaint.Instance.FillRectangle(e.Graphics, e.Bounds, e.Brush);
            }
            #endregion
        }
        
        public Form1()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();

            gridControl1.ContextMenu = new ContextMenu();
            gridControl1.ContextMenu.MenuItems.Add("Fit Header", new EventHandler(w_fitHeaderContextMenu));
            gridControl1.ContextMenu.MenuItems.Add("Fit Content", new EventHandler(w_fitContentContextMenu));
            gridControl1.ContextMenu.MenuItems.Add("Fit Column", new EventHandler(w_fitColumnContextMenu));

            GridCellModelBase model = new TextBoxCellModel(gridControl1.Model);
            gridControl1.Model.CellModels.Remove(ModelNameTextBox);
            gridControl1.Model.CellModels.Add(ModelNameTextBox, model);

			GridTextBoxCellModel tmodel = this.gridControl1.CellModels["TextBox"] as GridTextBoxCellModel;
			tmodel.GetActiveText(1,2);  

            for (int i = 1; i <= 10; i++)
            {
                for (int j = 1; j <= 10; j++)
                {
                    gridControl1.Model[i,j].CellType = ModelNameTextBox;
                }
            }
        }

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo1 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo2 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo3 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo4 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo5 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo6 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo7 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo8 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo9 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo10 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo11 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo12 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo13 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo14 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo15 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo16 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo17 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo18 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo19 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo20 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo21 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo22 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo23 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo24 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo25 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo26 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo27 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo28 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo29 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo30 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo31 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo32 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo33 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo34 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo35 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo36 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo37 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo38 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo39 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo40 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo41 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo42 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo43 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo44 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo45 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo46 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo47 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo48 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo49 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo50 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo51 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo52 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo53 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo54 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo55 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo56 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo57 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo58 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo59 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo60 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo61 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo62 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo63 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo64 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo65 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo66 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo67 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo68 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo69 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo70 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo71 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo72 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo73 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo74 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo75 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo76 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo77 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo78 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo79 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo80 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo81 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo82 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo83 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo84 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo85 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo86 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo87 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo88 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo89 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo90 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo91 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo92 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo93 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo94 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo95 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo96 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo97 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo98 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo99 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo100 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo101 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo102 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo103 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo104 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo105 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo106 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo107 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo108 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo109 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo110 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo111 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo112 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo113 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo114 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo115 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo116 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo117 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo118 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo119 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo120 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo121 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo122 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo123 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo124 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo125 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo126 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo127 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo128 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo129 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo130 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo131 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo132 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo133 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo134 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo135 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo136 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo137 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo138 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo139 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            Syncfusion.Windows.Forms.Grid.GridCellInfo gridCellInfo140 = new Syncfusion.Windows.Forms.Grid.GridCellInfo();
            this.gridControl1 = new TableBackColorTest.Form1.Grid();
            this.w_fitHeaderButton = new System.Windows.Forms.Button();
            this.w_fitContentButton = new System.Windows.Forms.Button();
            this.w_fitColumnButton = new System.Windows.Forms.Button();
            ((System.ComponentModel.ISupportInitialize)(this.gridControl1)).BeginInit();
            this.SuspendLayout();
            // 
            // gridControl1
            // 
            this.gridControl1.ColWidthEntries.AddRange(new Syncfusion.Windows.Forms.Grid.GridColWidth[] {
                                                                                                            new Syncfusion.Windows.Forms.Grid.GridColWidth(0, 35)});
            gridCellInfo1.Col = -1;
            gridCellInfo1.Row = -1;
            gridCellInfo2.Col = 1;
            gridCellInfo2.Row = -1;
            gridCellInfo3.Col = 2;
            gridCellInfo3.Row = -1;
            gridCellInfo4.Col = 3;
            gridCellInfo4.Row = -1;
            gridCellInfo5.Col = 4;
            gridCellInfo5.Row = -1;
            gridCellInfo6.Col = 5;
            gridCellInfo6.Row = -1;
            gridCellInfo7.Col = 6;
            gridCellInfo7.Row = -1;
            gridCellInfo8.Col = 7;
            gridCellInfo8.Row = -1;
            gridCellInfo9.Col = 8;
            gridCellInfo9.Row = -1;
            gridCellInfo10.Col = 9;
            gridCellInfo10.Row = -1;
            gridCellInfo11.Col = 10;
            gridCellInfo11.Row = -1;
            gridCellInfo12.Col = 0;
            gridCellInfo12.Row = 0;
            gridCellInfo13.Col = 1;
            gridCellInfo13.Row = 0;
            gridCellInfo14.Col = 2;
            gridCellInfo14.Row = 0;
            gridCellInfo14.StyleInfo.Text = "sdgasdgasdfhadfhafdgha";
            gridCellInfo15.Col = 3;
            gridCellInfo15.Row = 0;
            gridCellInfo16.Col = 4;
            gridCellInfo16.Row = 0;
            gridCellInfo17.Col = 5;
            gridCellInfo17.Row = 0;
            gridCellInfo18.Col = 6;
            gridCellInfo18.Row = 0;
            gridCellInfo19.Col = 7;
            gridCellInfo19.Row = 0;
            gridCellInfo20.Col = 8;
            gridCellInfo20.Row = 0;
            gridCellInfo21.Col = -1;
            gridCellInfo21.Row = 1;
            gridCellInfo22.Col = 0;
            gridCellInfo22.Row = 1;
            gridCellInfo23.Col = 1;
            gridCellInfo23.Row = 1;
            gridCellInfo23.StyleInfo.Text = "----";
            gridCellInfo24.Col = 2;
            gridCellInfo24.Row = 1;
            gridCellInfo24.StyleInfo.Text = "----";
            gridCellInfo25.Col = 3;
            gridCellInfo25.Row = 1;
            gridCellInfo25.StyleInfo.Text = "----";
            gridCellInfo26.Col = 4;
            gridCellInfo26.Row = 1;
            gridCellInfo26.StyleInfo.Text = "----";
            gridCellInfo27.Col = 5;
            gridCellInfo27.Row = 1;
            gridCellInfo27.StyleInfo.Text = "----";
            gridCellInfo28.Col = 6;
            gridCellInfo28.Row = 1;
            gridCellInfo28.StyleInfo.Text = "----";
            gridCellInfo29.Col = 7;
            gridCellInfo29.Row = 1;
            gridCellInfo29.StyleInfo.Text = "----";
            gridCellInfo30.Col = 8;
            gridCellInfo30.Row = 1;
            gridCellInfo30.StyleInfo.Text = "----";
            gridCellInfo31.Col = 9;
            gridCellInfo31.Row = 1;
            gridCellInfo31.StyleInfo.Text = "----";
            gridCellInfo32.Col = 10;
            gridCellInfo32.Row = 1;
            gridCellInfo32.StyleInfo.Text = "----";
            gridCellInfo33.Col = -1;
            gridCellInfo33.Row = 2;
            gridCellInfo34.Col = 0;
            gridCellInfo34.Row = 2;
            gridCellInfo35.Col = 1;
            gridCellInfo35.Row = 2;
            gridCellInfo35.StyleInfo.Text = "------";
            gridCellInfo36.Col = 2;
            gridCellInfo36.Row = 2;
            gridCellInfo36.StyleInfo.Text = "------";
            gridCellInfo37.Col = 3;
            gridCellInfo37.Row = 2;
            gridCellInfo37.StyleInfo.Text = "------";
            gridCellInfo38.Col = 4;
            gridCellInfo38.Row = 2;
            gridCellInfo38.StyleInfo.Text = "------";
            gridCellInfo39.Col = 5;
            gridCellInfo39.Row = 2;
            gridCellInfo39.StyleInfo.Text = "------";
            gridCellInfo40.Col = 6;
            gridCellInfo40.Row = 2;
            gridCellInfo40.StyleInfo.Text = "------";
            gridCellInfo41.Col = 7;
            gridCellInfo41.Row = 2;
            gridCellInfo41.StyleInfo.Text = "------";
            gridCellInfo42.Col = 8;
            gridCellInfo42.Row = 2;
            gridCellInfo42.StyleInfo.Text = "------";
            gridCellInfo43.Col = 9;
            gridCellInfo43.Row = 2;
            gridCellInfo43.StyleInfo.Text = "------";
            gridCellInfo44.Col = 10;
            gridCellInfo44.Row = 2;
            gridCellInfo44.StyleInfo.Text = "------";
            gridCellInfo45.Col = -1;
            gridCellInfo45.Row = 3;
            gridCellInfo46.Col = 0;
            gridCellInfo46.Row = 3;
            gridCellInfo47.Col = 1;
            gridCellInfo47.Row = 3;
            gridCellInfo47.StyleInfo.Text = "--------";
            gridCellInfo48.Col = 2;
            gridCellInfo48.Row = 3;
            gridCellInfo48.StyleInfo.Text = "--------";
            gridCellInfo49.Col = 3;
            gridCellInfo49.Row = 3;
            gridCellInfo49.StyleInfo.Text = "--------";
            gridCellInfo50.Col = 4;
            gridCellInfo50.Row = 3;
            gridCellInfo50.StyleInfo.Text = "--------";
            gridCellInfo51.Col = 5;
            gridCellInfo51.Row = 3;
            gridCellInfo51.StyleInfo.Text = "--------";
            gridCellInfo52.Col = 6;
            gridCellInfo52.Row = 3;
            gridCellInfo52.StyleInfo.Text = "--------";
            gridCellInfo53.Col = 7;
            gridCellInfo53.Row = 3;
            gridCellInfo53.StyleInfo.Text = "--------";
            gridCellInfo54.Col = 8;
            gridCellInfo54.Row = 3;
            gridCellInfo54.StyleInfo.Text = "--------";
            gridCellInfo55.Col = 9;
            gridCellInfo55.Row = 3;
            gridCellInfo55.StyleInfo.Text = "--------";
            gridCellInfo56.Col = 10;
            gridCellInfo56.Row = 3;
            gridCellInfo56.StyleInfo.Text = "--------";
            gridCellInfo57.Col = -1;
            gridCellInfo57.Row = 4;
            gridCellInfo58.Col = 0;
            gridCellInfo58.Row = 4;
            gridCellInfo59.Col = 1;
            gridCellInfo59.Row = 4;
            gridCellInfo59.StyleInfo.Text = "----------";
            gridCellInfo60.Col = 2;
            gridCellInfo60.Row = 4;
            gridCellInfo60.StyleInfo.Text = "----------";
            gridCellInfo61.Col = 3;
            gridCellInfo61.Row = 4;
            gridCellInfo61.StyleInfo.Text = "----------";
            gridCellInfo62.Col = 4;
            gridCellInfo62.Row = 4;
            gridCellInfo62.StyleInfo.Text = "----------";
            gridCellInfo63.Col = 5;
            gridCellInfo63.Row = 4;
            gridCellInfo63.StyleInfo.Text = "----------";
            gridCellInfo64.Col = 6;
            gridCellInfo64.Row = 4;
            gridCellInfo64.StyleInfo.Text = "----------";
            gridCellInfo65.Col = 7;
            gridCellInfo65.Row = 4;
            gridCellInfo65.StyleInfo.Text = "----------";
            gridCellInfo66.Col = 8;
            gridCellInfo66.Row = 4;
            gridCellInfo66.StyleInfo.Text = "----------";
            gridCellInfo67.Col = 9;
            gridCellInfo67.Row = 4;
            gridCellInfo67.StyleInfo.Text = "----------";
            gridCellInfo68.Col = 10;
            gridCellInfo68.Row = 4;
            gridCellInfo68.StyleInfo.Text = "----------";
            gridCellInfo69.Col = -1;
            gridCellInfo69.Row = 5;
            gridCellInfo70.Col = 0;
            gridCellInfo70.Row = 5;
            gridCellInfo71.Col = 1;
            gridCellInfo71.Row = 5;
            gridCellInfo71.StyleInfo.Text = "------------";
            gridCellInfo72.Col = 2;
            gridCellInfo72.Row = 5;
            gridCellInfo72.StyleInfo.Text = "------------";
            gridCellInfo73.Col = 3;
            gridCellInfo73.Row = 5;
            gridCellInfo73.StyleInfo.Text = "------------";
            gridCellInfo74.Col = 4;
            gridCellInfo74.Row = 5;
            gridCellInfo74.StyleInfo.Text = "------------";
            gridCellInfo75.Col = 5;
            gridCellInfo75.Row = 5;
            gridCellInfo75.StyleInfo.Text = "------------";
            gridCellInfo76.Col = 6;
            gridCellInfo76.Row = 5;
            gridCellInfo76.StyleInfo.Text = "------------";
            gridCellInfo77.Col = 7;
            gridCellInfo77.Row = 5;
            gridCellInfo77.StyleInfo.Text = "------------";
            gridCellInfo78.Col = 8;
            gridCellInfo78.Row = 5;
            gridCellInfo78.StyleInfo.Text = "------------";
            gridCellInfo79.Col = 9;
            gridCellInfo79.Row = 5;
            gridCellInfo79.StyleInfo.Text = "------------";
            gridCellInfo80.Col = 10;
            gridCellInfo80.Row = 5;
            gridCellInfo80.StyleInfo.Text = "------------";
            gridCellInfo81.Col = -1;
            gridCellInfo81.Row = 6;
            gridCellInfo82.Col = 0;
            gridCellInfo82.Row = 6;
            gridCellInfo83.Col = 1;
            gridCellInfo83.Row = 6;
            gridCellInfo83.StyleInfo.Text = "++++++++++";
            gridCellInfo84.Col = 2;
            gridCellInfo84.Row = 6;
            gridCellInfo84.StyleInfo.Text = "++++++++++";
            gridCellInfo85.Col = 3;
            gridCellInfo85.Row = 6;
            gridCellInfo85.StyleInfo.Text = "++++++++++";
            gridCellInfo86.Col = 4;
            gridCellInfo86.Row = 6;
            gridCellInfo86.StyleInfo.Text = "++++++++++";
            gridCellInfo87.Col = 5;
            gridCellInfo87.Row = 6;
            gridCellInfo87.StyleInfo.Text = "++++++++++";
            gridCellInfo88.Col = 6;
            gridCellInfo88.Row = 6;
            gridCellInfo88.StyleInfo.Text = "++++++++++";
            gridCellInfo89.Col = 7;
            gridCellInfo89.Row = 6;
            gridCellInfo89.StyleInfo.Text = "++++++++++";
            gridCellInfo90.Col = 8;
            gridCellInfo90.Row = 6;
            gridCellInfo90.StyleInfo.Text = "++++++++++";
            gridCellInfo91.Col = 9;
            gridCellInfo91.Row = 6;
            gridCellInfo91.StyleInfo.Text = "++++++++++";
            gridCellInfo92.Col = 10;
            gridCellInfo92.Row = 6;
            gridCellInfo92.StyleInfo.Text = "++++++++++";
            gridCellInfo93.Col = -1;
            gridCellInfo93.Row = 7;
            gridCellInfo94.Col = 0;
            gridCellInfo94.Row = 7;
            gridCellInfo95.Col = 1;
            gridCellInfo95.Row = 7;
            gridCellInfo95.StyleInfo.Text = "++++++++";
            gridCellInfo96.Col = 2;
            gridCellInfo96.Row = 7;
            gridCellInfo96.StyleInfo.Text = "++++++++";
            gridCellInfo97.Col = 3;
            gridCellInfo97.Row = 7;
            gridCellInfo97.StyleInfo.Text = "++++++++";
            gridCellInfo98.Col = 4;
            gridCellInfo98.Row = 7;
            gridCellInfo98.StyleInfo.Text = "++++++++";
            gridCellInfo99.Col = 5;
            gridCellInfo99.Row = 7;
            gridCellInfo99.StyleInfo.Text = "++++++++";
            gridCellInfo100.Col = 6;
            gridCellInfo100.Row = 7;
            gridCellInfo100.StyleInfo.Text = "++++++++";
            gridCellInfo101.Col = 7;
            gridCellInfo101.Row = 7;
            gridCellInfo101.StyleInfo.Text = "++++++++";
            gridCellInfo102.Col = 8;
            gridCellInfo102.Row = 7;
            gridCellInfo102.StyleInfo.Text = "++++++++";
            gridCellInfo103.Col = 9;
            gridCellInfo103.Row = 7;
            gridCellInfo103.StyleInfo.Text = "++++++++";
            gridCellInfo104.Col = 10;
            gridCellInfo104.Row = 7;
            gridCellInfo104.StyleInfo.Text = "++++++++";
            gridCellInfo105.Col = -1;
            gridCellInfo105.Row = 8;
            gridCellInfo106.Col = 0;
            gridCellInfo106.Row = 8;
            gridCellInfo107.Col = 1;
            gridCellInfo107.Row = 8;
            gridCellInfo107.StyleInfo.Text = "++++++";
            gridCellInfo108.Col = 2;
            gridCellInfo108.Row = 8;
            gridCellInfo108.StyleInfo.Text = "++++++";
            gridCellInfo109.Col = 3;
            gridCellInfo109.Row = 8;
            gridCellInfo109.StyleInfo.Text = "++++++";
            gridCellInfo110.Col = 4;
            gridCellInfo110.Row = 8;
            gridCellInfo110.StyleInfo.Text = "++++++";
            gridCellInfo111.Col = 5;
            gridCellInfo111.Row = 8;
            gridCellInfo111.StyleInfo.Text = "++++++";
            gridCellInfo112.Col = 6;
            gridCellInfo112.Row = 8;
            gridCellInfo112.StyleInfo.Text = "++++++";
            gridCellInfo113.Col = 7;
            gridCellInfo113.Row = 8;
            gridCellInfo113.StyleInfo.Text = "++++++";
            gridCellInfo114.Col = 8;
            gridCellInfo114.Row = 8;
            gridCellInfo114.StyleInfo.Text = "++++++";
            gridCellInfo115.Col = 9;
            gridCellInfo115.Row = 8;
            gridCellInfo115.StyleInfo.Text = "++++++";
            gridCellInfo116.Col = 10;
            gridCellInfo116.Row = 8;
            gridCellInfo116.StyleInfo.Text = "++++++";
            gridCellInfo117.Col = -1;
            gridCellInfo117.Row = 9;
            gridCellInfo118.Col = 0;
            gridCellInfo118.Row = 9;
            gridCellInfo119.Col = 1;
            gridCellInfo119.Row = 9;
            gridCellInfo119.StyleInfo.Text = "++++";
            gridCellInfo120.Col = 2;
            gridCellInfo120.Row = 9;
            gridCellInfo120.StyleInfo.Text = "++++";
            gridCellInfo121.Col = 3;
            gridCellInfo121.Row = 9;
            gridCellInfo121.StyleInfo.Text = "++++";
            gridCellInfo122.Col = 4;
            gridCellInfo122.Row = 9;
            gridCellInfo122.StyleInfo.Text = "++++";
            gridCellInfo123.Col = 5;
            gridCellInfo123.Row = 9;
            gridCellInfo123.StyleInfo.Text = "++++";
            gridCellInfo124.Col = 6;
            gridCellInfo124.Row = 9;
            gridCellInfo124.StyleInfo.Text = "++++";
            gridCellInfo125.Col = 7;
            gridCellInfo125.Row = 9;
            gridCellInfo125.StyleInfo.Text = "++++";
            gridCellInfo126.Col = 8;
            gridCellInfo126.Row = 9;
            gridCellInfo126.StyleInfo.Text = "++++";
            gridCellInfo127.Col = 9;
            gridCellInfo127.Row = 9;
            gridCellInfo127.StyleInfo.Text = "++++";
            gridCellInfo128.Col = 10;
            gridCellInfo128.Row = 9;
            gridCellInfo128.StyleInfo.Text = "++++";
            gridCellInfo129.Col = -1;
            gridCellInfo129.Row = 10;
            gridCellInfo130.Col = 0;
            gridCellInfo130.Row = 10;
            gridCellInfo131.Col = 1;
            gridCellInfo131.Row = 10;
            gridCellInfo131.StyleInfo.Text = "++";
            gridCellInfo132.Col = 2;
            gridCellInfo132.Row = 10;
            gridCellInfo132.StyleInfo.Text = "++";
            gridCellInfo133.Col = 3;
            gridCellInfo133.Row = 10;
            gridCellInfo133.StyleInfo.Text = "++";
            gridCellInfo134.Col = 4;
            gridCellInfo134.Row = 10;
            gridCellInfo134.StyleInfo.Text = "++";
            gridCellInfo135.Col = 5;
            gridCellInfo135.Row = 10;
            gridCellInfo135.StyleInfo.Text = "++";
            gridCellInfo136.Col = 6;
            gridCellInfo136.Row = 10;
            gridCellInfo136.StyleInfo.Text = "++";
            gridCellInfo137.Col = 7;
            gridCellInfo137.Row = 10;
            gridCellInfo137.StyleInfo.Text = "++";
            gridCellInfo138.Col = 8;
            gridCellInfo138.Row = 10;
            gridCellInfo138.StyleInfo.Text = "++";
            gridCellInfo139.Col = 9;
            gridCellInfo139.Row = 10;
            gridCellInfo139.StyleInfo.Text = "++";
            gridCellInfo140.Col = 10;
            gridCellInfo140.Row = 10;
            gridCellInfo140.StyleInfo.Text = "++";
            this.gridControl1.GridCells.AddRange(new Syncfusion.Windows.Forms.Grid.GridCellInfo[] {
                                                                                                      gridCellInfo1,
                                                                                                      gridCellInfo2,
                                                                                                      gridCellInfo3,
                                                                                                      gridCellInfo4,
                                                                                                      gridCellInfo5,
                                                                                                      gridCellInfo6,
                                                                                                      gridCellInfo7,
                                                                                                      gridCellInfo8,
                                                                                                      gridCellInfo9,
                                                                                                      gridCellInfo10,
                                                                                                      gridCellInfo11,
                                                                                                      gridCellInfo12,
                                                                                                      gridCellInfo13,
                                                                                                      gridCellInfo14,
                                                                                                      gridCellInfo15,
                                                                                                      gridCellInfo16,
                                                                                                      gridCellInfo17,
                                                                                                      gridCellInfo18,
                                                                                                      gridCellInfo19,
                                                                                                      gridCellInfo20,
                                                                                                      gridCellInfo21,
                                                                                                      gridCellInfo22,
                                                                                                      gridCellInfo23,
                                                                                                      gridCellInfo24,
                                                                                                      gridCellInfo25,
                                                                                                      gridCellInfo26,
                                                                                                      gridCellInfo27,
                                                                                                      gridCellInfo28,
                                                                                                      gridCellInfo29,
                                                                                                      gridCellInfo30,
                                                                                                      gridCellInfo31,
                                                                                                      gridCellInfo32,
                                                                                                      gridCellInfo33,
                                                                                                      gridCellInfo34,
                                                                                                      gridCellInfo35,
                                                                                                      gridCellInfo36,
                                                                                                      gridCellInfo37,
                                                                                                      gridCellInfo38,
                                                                                                      gridCellInfo39,
                                                                                                      gridCellInfo40,
                                                                                                      gridCellInfo41,
                                                                                                      gridCellInfo42,
                                                                                                      gridCellInfo43,
                                                                                                      gridCellInfo44,
                                                                                                      gridCellInfo45,
                                                                                                      gridCellInfo46,
                                                                                                      gridCellInfo47,
                                                                                                      gridCellInfo48,
                                                                                                      gridCellInfo49,
                                                                                                      gridCellInfo50,
                                                                                                      gridCellInfo51,
                                                                                                      gridCellInfo52,
                                                                                                      gridCellInfo53,
                                                                                                      gridCellInfo54,
                                                                                                      gridCellInfo55,
                                                                                                      gridCellInfo56,
                                                                                                      gridCellInfo57,
                                                                                                      gridCellInfo58,
                                                                                                      gridCellInfo59,
                                                                                                      gridCellInfo60,
                                                                                                      gridCellInfo61,
                                                                                                      gridCellInfo62,
                                                                                                      gridCellInfo63,
                                                                                                      gridCellInfo64,
                                                                                                      gridCellInfo65,
                                                                                                      gridCellInfo66,
                                                                                                      gridCellInfo67,
                                                                                                      gridCellInfo68,
                                                                                                      gridCellInfo69,
                                                                                                      gridCellInfo70,
                                                                                                      gridCellInfo71,
                                                                                                      gridCellInfo72,
                                                                                                      gridCellInfo73,
                                                                                                      gridCellInfo74,
                                                                                                      gridCellInfo75,
                                                                                                      gridCellInfo76,
                                                                                                      gridCellInfo77,
                                                                                                      gridCellInfo78,
                                                                                                      gridCellInfo79,
                                                                                                      gridCellInfo80,
                                                                                                      gridCellInfo81,
                                                                                                      gridCellInfo82,
                                                                                                      gridCellInfo83,
                                                                                                      gridCellInfo84,
                                                                                                      gridCellInfo85,
                                                                                                      gridCellInfo86,
                                                                                                      gridCellInfo87,
                                                                                                      gridCellInfo88,
                                                                                                      gridCellInfo89,
                                                                                                      gridCellInfo90,
                                                                                                      gridCellInfo91,
                                                                                                      gridCellInfo92,
                                                                                                      gridCellInfo93,
                                                                                                      gridCellInfo94,
                                                                                                      gridCellInfo95,
                                                                                                      gridCellInfo96,
                                                                                                      gridCellInfo97,
                                                                                                      gridCellInfo98,
                                                                                                      gridCellInfo99,
                                                                                                      gridCellInfo100,
                                                                                                      gridCellInfo101,
                                                                                                      gridCellInfo102,
                                                                                                      gridCellInfo103,
                                                                                                      gridCellInfo104,
                                                                                                      gridCellInfo105,
                                                                                                      gridCellInfo106,
                                                                                                      gridCellInfo107,
                                                                                                      gridCellInfo108,
                                                                                                      gridCellInfo109,
                                                                                                      gridCellInfo110,
                                                                                                      gridCellInfo111,
                                                                                                      gridCellInfo112,
                                                                                                      gridCellInfo113,
                                                                                                      gridCellInfo114,
                                                                                                      gridCellInfo115,
                                                                                                      gridCellInfo116,
                                                                                                      gridCellInfo117,
                                                                                                      gridCellInfo118,
                                                                                                      gridCellInfo119,
                                                                                                      gridCellInfo120,
                                                                                                      gridCellInfo121,
                                                                                                      gridCellInfo122,
                                                                                                      gridCellInfo123,
                                                                                                      gridCellInfo124,
                                                                                                      gridCellInfo125,
                                                                                                      gridCellInfo126,
                                                                                                      gridCellInfo127,
                                                                                                      gridCellInfo128,
                                                                                                      gridCellInfo129,
                                                                                                      gridCellInfo130,
                                                                                                      gridCellInfo131,
                                                                                                      gridCellInfo132,
                                                                                                      gridCellInfo133,
                                                                                                      gridCellInfo134,
                                                                                                      gridCellInfo135,
                                                                                                      gridCellInfo136,
                                                                                                      gridCellInfo137,
                                                                                                      gridCellInfo138,
                                                                                                      gridCellInfo139,
                                                                                                      gridCellInfo140});
            this.gridControl1.HScrollBehavior = Syncfusion.Windows.Forms.Grid.GridScrollbarMode.Automatic;
            this.gridControl1.Location = new System.Drawing.Point(0, 0);
            this.gridControl1.Name = "gridControl1";
            this.gridControl1.RowHeightEntries.AddRange(new Syncfusion.Windows.Forms.Grid.GridRowHeight[] {
                                                                                                              new Syncfusion.Windows.Forms.Grid.GridRowHeight(0, 21)});
            this.gridControl1.Size = new System.Drawing.Size(608, 272);
            this.gridControl1.SmartSizeBox = false;
            this.gridControl1.TabIndex = 2;
            this.gridControl1.Text = "gridControl1";
            this.gridControl1.VScrollBehavior = Syncfusion.Windows.Forms.Grid.GridScrollbarMode.Automatic;
            // 
            // w_fitHeaderButton
            // 
            this.w_fitHeaderButton.Location = new System.Drawing.Point(24, 312);
            this.w_fitHeaderButton.Name = "w_fitHeaderButton";
            this.w_fitHeaderButton.TabIndex = 3;
            this.w_fitHeaderButton.Text = "Fit Header";
            this.w_fitHeaderButton.Click += new System.EventHandler(this.w_fitHeaderButton_Click);
            // 
            // w_fitContentButton
            // 
            this.w_fitContentButton.Location = new System.Drawing.Point(216, 312);
            this.w_fitContentButton.Name = "w_fitContentButton";
            this.w_fitContentButton.TabIndex = 4;
            this.w_fitContentButton.Text = "Fit Content";
            this.w_fitContentButton.Click += new System.EventHandler(this.w_fitContentButton_Click);
            // 
            // w_fitColumnButton
            // 
            this.w_fitColumnButton.Location = new System.Drawing.Point(392, 312);
            this.w_fitColumnButton.Name = "w_fitColumnButton";
            this.w_fitColumnButton.TabIndex = 5;
            this.w_fitColumnButton.Text = "Fit Column";
            this.w_fitColumnButton.Click += new System.EventHandler(this.w_fitColumnButton_Click);
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(544, 366);
            this.Controls.Add(this.w_fitColumnButton);
            this.Controls.Add(this.w_fitContentButton);
            this.Controls.Add(this.w_fitHeaderButton);
            this.Controls.Add(this.gridControl1);
            this.Name = "Form1";
            this.Text = "Form1";
            ((System.ComponentModel.ISupportInitialize)(this.gridControl1)).EndInit();
            this.ResumeLayout(false);

        }
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

        private void GetSelectedColumns()
        {
        }

        private void w_fitContentContextMenu(object sender, System.EventArgs e)
        {
            GridRangeInfoList infoList = gridControl1.Selections.GetSelectedCols(false, true);
            foreach (GridRangeInfo info in infoList)
            {
                for (int col = info.Left; col <= info.Right; col++)
                {
                    GridRangeInfo range = GridRangeInfo.Cells(1, col, 10, col);
                    gridControl1.Model.ColWidths.ResizeToFit(range);                        
                }
            }            
        }

        private void w_fitColumnContextMenu(object sender, System.EventArgs e)
        {
            GridRangeInfoList infoList = gridControl1.Selections.GetSelectedCols(false, true);
            foreach (GridRangeInfo info in infoList)
            {
                for (int col = info.Left; col <= info.Right; col++)
                {
                    GridRangeInfo range = GridRangeInfo.Col(col);
                    gridControl1.Model.ColWidths.ResizeToFit(range);                
                }
            }
        }

        private void w_fitHeaderContextMenu(object sender, System.EventArgs e)
        {
            GridRangeInfoList infoList = gridControl1.Selections.GetSelectedCols(false, true);
            foreach (GridRangeInfo info in infoList)
            {
                for (int col = info.Left; col <= info.Right; col++)
                {
                    GridRangeInfo range = GridRangeInfo.Cell(0,col);
                    gridControl1.Model.ColWidths.ResizeToFit(range);        
                }
            }
        }

        private void w_fitContentButton_Click(object sender, System.EventArgs e)
        {
            GridRangeInfo range = GridRangeInfo.Rows(1, gridControl1.RowCount);
            gridControl1.Model.ColWidths.ResizeToFit(range, GridResizeToFitOptions.None);
        }

        private void w_fitColumnButton_Click(object sender, System.EventArgs e)
        {
            GridRangeInfo range = GridRangeInfo.Table() ;
            gridControl1.Model.ColWidths.ResizeToFit(range, GridResizeToFitOptions.NoShrinkSize );
        }

        private void w_fitHeaderButton_Click(object sender, System.EventArgs e)
        {
            GridRangeInfo range = GridRangeInfo.Row(0);
            gridControl1.Model.ColWidths.ResizeToFit(range, GridResizeToFitOptions.None);
        }
    }
}
